﻿/*Copyright 2024 Wojciech Krzysztof Fiałkiewicz

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

using System;

namespace ListPrimeNumbers
{
    internal class Program
    {
        static bool IsPrimeNumber(ulong nr)
        {
            ulong half = nr / 2;

            for (ulong i = 2; i <= half; i++)
            {
                if (nr % i == 0)
                {
                    return false;
                }
            }
            return true;
        }

        static void ListPrimeNumbers(ulong start, int amount)
        {
            int am = 0;

            while (am < amount)
            {
                if (IsPrimeNumber(start))
                {
                    Console.WriteLine(start);
                    am++;
                }
                start++;
            }
        }

        static void Main(string[] args)
        {
            ulong start;

            Console.Write("Start Nr:");
            start = ulong.Parse(Console.ReadLine());
            Console.WriteLine();

            ListPrimeNumbers(start, 10);
            Console.ReadLine();
        }
    }
}
